using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CornSpilled : MonoBehaviour
{
    [SerializeField] private Sprite spilledBurntCornSprite;
    [SerializeField] private Sprite spilledBurntCornGrainSprite;
    [SerializeField] private SpriteRenderer spilledCornRenderer;
    [SerializeField] private SpriteRenderer spilledCornGrainRenderer;

    public void ChangeCornSkin(CornCondition condition)
    {
        switch (condition)
        {
            case CornCondition.Seed:
                break;
            case CornCondition.Simple:
                break;
            case CornCondition.Burnt:
                spilledCornRenderer.sprite = spilledBurntCornSprite;
                spilledCornGrainRenderer.sprite = spilledBurntCornGrainSprite;
                break;
            default:
                throw new ArgumentOutOfRangeException(nameof(condition), condition, null);
        }
    }
}
